Package Gnumed :: Package business :: Module gmVaccination |
[frames] | no frames]

# Module gmVaccination

source code

GNUmed vaccination related business objects.

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL

Classes
| cVaccine Represents one vaccine.
| cVaccination

Functions
write_generic_vaccine_sql(version, include_indications_mapping=False, filename=None) | source code
create_generic_vaccine_sql(version, include_indications_mapping=False) | source code
create_vaccine(pk_drug_product=None, product_name=None, indications=None, is_live=None) | source code
delete_vaccine(vaccine=None) | source code
get_vaccines(order_by=None, return_pks=False) | source code
get_vaccinations(pk_identity=None, pk_episodes=None, pk_health_issues=None, pk_encounters=None, order_by=None, return_pks=False) | source code
create_vaccination(encounter=None, episode=None, vaccine=None, batch_no=None) | source code
delete_vaccination(vaccination=None) | source code
format_latest_vaccinations(output_format='latex', emr=None) | source code

Variables
| URL_vaccination_plan = `'http://www.rki.de/DE/Content/Infekt/Ep`...``
| URL_vaccine_adr_german_default = `'https://nebenwirkungen.pei.de'`

Imports: sys, logging, io, gmBusinessDBObject, gmPG2, gmI18N, gmTools, gmDateTime, gmMedication

Variables Details

  ### URL_vaccination_plan Value:
      'http://www.rki.de/DE/Content/Infekt/EpidBull/Archiv/2017/Ausgaben/34_
      17.pdf?__blob=publicationFile'